%define debug_package %{nil}
Summary:        Customization for NDE
Name:           nde-customization 
Version:        1.0.0
Release:        14%{?dist}
License:        LGPLv2
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  cmake, gcc, gcc-c++, make
Requires:       fcitx-configtool
Provides:       libdsmiconext.so()(64bit)
Provides:       libdrmicon



%description
Customization for NDE V4



%prep
%autosetup



%build
%{cmake}
%{cmake_build}



%install
/bin/rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/nde-customization
cp -rf  firefox %{buildroot}%{_datadir}/nde-customization
mkdir -p %{buildroot}/%{_libdir}
install -m 755 %{_vpath_builddir}/src/libdrmicon.so %{buildroot}%{_libdir}/libdrmicon.so



%triggerin -- fcitx-data
FCITX_CONFIG_FILE="%{_datadir}/fcitx/configdesc/config.desc"
if [ -f $FCITX_CONFIG_FILE ]; then
    sed -i '36s#DefaultValue=L_SHIFT#DefaultValue=SHIFT Both#' $FCITX_CONFIG_FILE
    sed -i '41s#DefaultValue=#DefaultValue=CTRL_SHIFT#' $FCITX_CONFIG_FILE
    sed -i '67s#DefaultValue=False#DefaultValue=True#' $FCITX_CONFIG_FILE
fi

%triggerin -- systemd
sed -i "s/#DefaultTimeoutStartSec=90s/DefaultTimeoutStartSec=10s/g" /etc/systemd/system.conf
sed -i "s/#DefaultTimeoutStopSec=90s/DefaultTimeoutStopSec=10s/g" /etc/systemd/system.conf



%files
%{_libdir}/libdrmicon.so
%defattr(-, root, root)
%dir %{_datadir}/nde-customization
%{_datadir}/nde-customization/firefox/




%changelog
* Thu Jan 25 2024 Zhao Zhen <jeremiazhao@tencent.com> - 1.0.0-14
- small fix

* Thu Nov 05 2020 NewStart<os@gd-linux.com> - 1.0.0-13
- fixbug in aarch64: some glibc.so cannot found.

* Thu Nov 05 2020 NewStart<os@gd-linux.com> - 1.0.0-12
- first release.
